Bug 239695 - flex arg parsing changed
flex arg parsing changed
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: flex (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Petr Machata
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-10 11:49 EDT by John McBride
Modified: 2015-05-04 21:33 EDT (History)
2 users (show)

See Also:
Fixed In Version: F-7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-25 06:03:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John McBride 2007-05-10 11:49:35 EDT
Description of problem:

Previous flex releases parsed args such that "flex -is" was acceptable. This
release requires the form "flex -i -s" to do the same thing.

Version-Release number of selected component (if applicable):

flex-2.5.33-5.fc7

How reproducible:

Run flex in older and newer fedora releases.

Steps to Reproduce:
1. run flex in fc6 : args "-i -s" and "-is" are equivalent
2. run flex in fc7devel : args "-is" shows an error
3.
  
Actual results:
%flex -is
flex: option `i' doesn't allow an argument
Try `flex --help' for more information.

Expected results:
%flex -is


Additional info:
Comment 1 Petr Machata 2007-05-11 11:35:24 EDT
Fixed in rawhide.  This build won't do it to Fedora 7, but I will push it as an
update post-release.
Comment 2 Petr Machata 2007-05-25 06:03:17 EDT
Koji says:

"""
Package: ltrace
NVR: ltrace-0.5-7.45svn.fc7
User: notting
Status: complete
Tag Operation: moved
From Tag: dist-fc7
Into Tag: dist-fc7-updates-candidate

ltrace-0.5-7.45svn.fc7 successfully moved from dist-fc7 into
dist-fc7-updates-candidate by notting
"""

Note You need to log in before you can comment on or make changes to this bug.